%global srcname irrtree

Name:           python-%{srcname}
Version:        1.2.1
Release:        3%{?dist}
Summary:        Simple tool to quickly assess potential resource consumption of an AS-SET
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source
Patch0:       irrtree-setup.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%{?python_enable_dependency_generator}

%description
Simple tool to quickly assess potential resource consumption of an AS-SET

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Simple tool to quickly assess potential resource consumption of an AS-SET

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/
%{_bindir}/irrtree

%changelog
* Thu Oct 11 2016 Clinton Work <clinton@scripty.com>
- Initial spec file

